# This file created by conda-build 24.1.2
# meta.yaml template originally from:
# /feedstock/recipe, last modified Wed May  1 12:48:26 2024
# ------------------------------------------------

package:
  name: tqdm
  version: 4.66.2
source:
  sha256: 6cd52cdf0fef0e0f543299cfc96fec90d7b8a7e88745f411ec33eb44d5ed3531
  url: https://pypi.io/packages/source/t/tqdm/tqdm-4.66.2.tar.gz
build:
  entry_points:
    - tqdm = tqdm.cli:main
  number: '0'
  script: /croot/tqdm_1714567712644/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_pl/bin/python
    -m pip install . --no-deps --no-build-isolation -vv
  string: py312he106c6f_0
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - bzip2 1.0.8 h5eee18b_5
    - ca-certificates 2024.3.11 h06a4308_0
    - expat 2.6.2 h6a678d5_0
    - ld_impl_linux-64 2.38 h1181459_1
    - libffi 3.4.4 h6a678d5_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libuuid 1.41.5 h5eee18b_0
    - ncurses 6.4 h6a678d5_0
    - openssl 3.0.13 h7f8727e_0
    - packaging 23.2 py312h06a4308_0
    - pip 23.3.1 py312h06a4308_0
    - python 3.12.3 h996f2a0_0
    - readline 8.2 h5eee18b_0
    - setuptools 68.2.2 py312h06a4308_0
    - setuptools-scm 8.0.4 py312h06a4308_0
    - setuptools_scm 8.0.4 hd3eb1b0_0
    - sqlite 3.45.3 h5eee18b_0
    - tk 8.6.12 h1ccaba5_0
    - toml 0.10.2 pyhd3eb1b0_0
    - typing-extensions 4.9.0 py312h06a4308_1
    - typing_extensions 4.9.0 py312h06a4308_1
    - tzdata 2024a h04d1e81_0
    - wheel 0.41.2 py312h06a4308_0
    - xz 5.4.6 h5eee18b_0
    - zlib 1.2.13 h5eee18b_0
  run:
    - python >=3.12,<3.13.0a0
  run_constrained:
    - ipywidgets >=6
test:
  commands:
    - pip check
    - tqdm --help
    - tqdm -v | rg 4.66.2
    - pytest -k "not tests_perf"
  imports:
    - tqdm
  requires:
    - dask-core
    - numpy
    - pandas
    - pip
    - pytest >=6
    - pytest-asyncio
    - pytest-timeout
    - pytest-xdist
    - rich
    - ripgrep
  source_files:
    - pyproject.toml
    - tests
about:
  description: A Fast, Extensible Progress Bar for Python and CLI
  dev_url: https://github.com/tqdm/tqdm
  doc_url: https://tqdm.github.io/
  home: https://tqdm.github.io/
  license: MPL-2.0 AND MIT
  license_family: MOZILLA
  license_file: LICENCE
  summary: A Fast, Extensible Progress Meter
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 3e536937-fc14-411d-b3bd-45aeb9c24b29
  recipe-maintainers:
    - casperdcl
    - pmlandwehr
  remote_url: git@github.com:AnacondaRecipes/tqdm-feedstock.git
  sha: 1810124caab6824d2edfc1b8e3f3a09d0ed9d76a
